Retrieves all the article price list

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

article_price_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

article_id

Foreign key of article

globally unique identifier

Optionally required : article_id, article_code or article must be provided

article_code

Embedded entity "article" using ERP PK when adding/updating

string

Optionally required : article_id, article_code or article must be provided

article

Embedded entity "article" when adding/updating

article

Optionally required : article_id, article_code or article must be provided

article_price_label_id

Foreign key of article price label

globally unique identifier

Optionally required : article_price_label_id or article_price_label must be provided

article_price_label

Embedded entity "article price label" when adding/updating

article_price_label

Optionally required : article_price_label_id or article_price_label must be provided

price

Article price, If value not given set as 0.

decimal number

Required

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "6893b43f-9f6f-4e9e-8064-3b14baf09a1e",
  "article_id": "2c73a2c2-d48d-4593-b232-f9d53ca801b0",
  "article_code": "sample string 3",
  "article_price_label_id": "136de2b4-5b35-47a6-aabd-2ab73c3b17de",
  "price": 1.0,
  "modified_dateutc": "2026-11-03T06:13:28.0731846+00:00"
}